# Uwaga: jeśli wersja jest ujęta w potrójny apostrof, to znaczy, że kod jest nieaktywny.
# Usuń apostrofy, by przetestować określoiną wersję w tym pliku.


# Wersja 1
"""
while True:
    reply = input('Wpisz tekst:')
    if reply == 'stop': break
    print(reply.upper())
"""


# Alternatywne rozwiązanie
"""
while (reply := input('Wpisz tekst:')) != 'stop':
    print(reply.upper())
"""


# Wersja 2
"""
while True:
    reply = input('Wpisz tekst:')
    if reply == 'stop': break
    print(int(reply) ** 2)
print('Żegnaj')
"""


# Wersja 3
"""
while True:
    reply = input('Wpisz tekst:')
    if reply == 'stop':
        break
    elif not reply.isdigit():
        print('Źle!' * 8)
    else:
        print(int(reply) ** 2)
print('Żegnaj')
"""


# Wersja 4
"""
while True:
    reply = input('Wpisz tekst:')
    if reply == 'stop': break
    try:
        num = int(reply)
    except:
        print('Źle!' * 8)
    else:
        print(num ** 2)
print('Żegnaj')
"""


# Wersja 5
"""
while True:
    reply = input('Wpisz tekst:')
    if reply == 'stop': break
    try:
        print(int(reply) ** 2)
    except:
        print('Źle!' * 8)
print('Żegnaj')
"""


# Wersja 6
"""
while True:
    reply = input('Wpisz tekst:')
    if reply == 'stop': break
    try:
        print(float(reply) ** 2)
    except:
        print('Źle!' * 8)
print('Żegnaj')
"""

# Wersja 7

while True:
    reply = input('Wpisz tekst:')
    if reply == 'stop':
        break
    elif not reply.isdigit():
        print('Źle!' * 8)
    else:
        num = int(reply)
        if num < 20:
            print('mało')
        else:
            print(num ** 2)
print('Żegnaj')
